执行 composer required 时报PHP内存溢出的错误

10-18 18:21 字数 562 阅读 140 已编辑

今天安装composer包的时候,报了下面的错

Fatal error: Allowed memory size of 2147483648 bytes exhausted (tried to allocate 67108864 bytes) in phar:///usr/local/bin/composer/src/Composer/DependencyResolver/Solver.php on line 223

Check https://getcomposer.org/doc/articles/troubleshooting.md#memory-limit-errors for more info on how to handle out of memory errors.% 

直接修改php.ini把memory_limit改成-1可以解决此问题,但是这样不太好,可以使用下面的命令临时解决一下。

php -d memory_limit=-1 /usr/local/bin/composer [require/install/update]

参考 https://getcomposer.org/doc/articles/troubleshooting.md#memory-limit-errors

0人点赞>
关注 收藏 改进 举报
0 条评论
排序方式 时间 投票
快来抢占一楼吧
请登录后发表评论